Lintian Reports

E ancient-autotools-helper-file

All reports of ancient-autotools-helper-file for the archive. The extended description of this tag is:

The referenced file has a time stamp older than year 2004 and the package does not build-depend on autotools-dev or automake and therefore apparently does not update it. This usually means that the source package will not build correctly on all currently released architectures.

For packages using debhelper, the tools from the dh-autoreconf package should handle this issue. cdbs will automatically update these files if autotools-dev is installed during build, but the build dependency on autotools-dev is still necessary.

Otherwise, read /usr/share/doc/autotools-dev/README.Debian.gz (from the autotools-dev package) for information on how to fix this problem.

Severity: important, Certainty: possible

Check: cruft, Type: source

Evolution of the ancient-autotools-helper-file Lintian tag over the past 366 days:

The beforementioned graph for the ancient-autotools-helper-file tag

Emitted (non-overridden): 20, overridden: 40, total: 60

The package names link to the relevant maintainer page and the corresponding report for the source package. The links go to the full maintainer report page, which includes info and experimental tags and overridden tags, rather than the default page that shows only errors and warnings.

android-platform-external-libunwind 7.0.0+r1-4 (source) overridden

autoconf2.13 2.13-67 (source) overridden

ccze 0.2.1-3 (source) overridden

flightgear 1:2016.4.4+dfsg-2 (source) overridden

ftjam 2.5.2-1.1 (source)

gadmin-openvpn-client 0.1.9-1 (source)

gettext 0.19.8.1-2 (source)

gle 3.1.0-7.2 (source)

gnustep-sqlclient 1.7.3-2.1 (source) overridden

libgnumail-java 1.1.2-10 (source) overridden

libnss-mysql-bg 1.5-5 (source)

libtk-img 1:1.4.6+dfsg-1 (source) overridden

mame 0.183-1 (source) overridden

mame 0.182-1 (source) overridden

mgltools-molkit 1.5.7~rc1+cvs.20140424-1 (source) overridden

ng 1.5~beta1-4 (source)

raidutils 0.0.6-22 (source)

rtpproxy 1.2.1-2.2 (source)

smlsharp 1.2.0-2 (source) overridden

supercollider 1:3.7.0~repack-4 (source) overridden

tacacs+ 4.0.4.27a-3 (source)

tcltrf 2.1.4-dfsg3-2 (source) overridden

tklib 0.6-3 (source) overridden

virtualbox 5.1.18-dfsg-1 (source) overridden

xdebug 2.5.1-1 (source) overridden

xinetd 1:2.3.15-7 (source)